import 'package:flutter/cupertino.dart';
import 'document_live_detection.dart';
import 'document_scanner_configuration.dart';
import 'classical_camera.dart';

export 'document_live_detection.dart';
export 'document_scanner_configuration.dart';
export 'classical_camera.dart';

class DocumentScannerCamera extends StatelessWidget {
  const DocumentScannerCamera(
      {Key? key,
      required this.cameraDetector,
      required this.configuration,
      required this.onWidgetReady,
      this.onHeavyOperationProcessing})
      : super(key: key);

  final DocumentCameraLiveDetector cameraDetector;
  final DocumentCameraConfiguration configuration;
  final Function(ScanbotCameraController controller) onWidgetReady;

  /// triggers when camera plugin make long work eg. saving snap to the image etc.
  final Function(bool)? onHeavyOperationProcessing;

  @override
  Widget build(BuildContext context) {
    return ScanbotCamera(
      detector: cameraDetector,
      // Here we set initial configurations of the camera
      configuration: configuration,
      onCameraReady: onWidgetReady,
      onPictureTaken: cameraDetector.snapListener,
      finder: null,
      onHeavyOperationProcessing: onHeavyOperationProcessing,
    );
  }
}
